Bug 195251 - [PATCH] devel/deforaos-libsystem fails to build on arm
Summary: [PATCH] devel/deforaos-libsystem fails to build on arm
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-21 18:36 UTC by Mikael Urankar
Modified: 2014-11-27 19:37 UTC (History)
2 users (show)

See Also:
mikael: maintainer-feedback? (olivier)


Attachments
patch-src_error.c (1006 bytes, text/x-csrc)
2014-11-21 18:36 UTC, Mikael Urankar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2014-11-21 18:36:29 UTC
Created attachment 149676 [details]
patch-src_error.c

deforaos-libsystem fails to build on armv6 with this error:

cc -I ../include -D WITH_SSL -W -Wall -fPIC -g -O2 -pedantic -c error.c
error.c:49:31: error: passing 'void *' to parameter of incompatible type 'va_list' (aka '__builtin_va_list')
        return _error_do(NULL, NULL, NULL);
                                     ^~~~
/usr/include/sys/_null.h:32:14: note: expanded from macro 'NULL'
#define NULL    ((void *)0)

This is the same kind of error that was fixed in databases/mysql55-client (see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=193841 for details)

build log on arm is available here:
http://mikael.urankar.free.fr/FreeBSD/arm/build_logs/deforaos-libsystem/deforaos-libsystem-0.1.6_1.log

redports is currently down so I can't provide build logs for other arch but it compiles successfully on current/amd64
Comment 1 Bugzilla Automation freebsd_committer 2014-11-21 18:36:29 UTC
Maintainer CC'd
Comment 2 Sean Bruno freebsd_committer 2014-11-21 19:22:34 UTC
Confirmed that this now builds for armv6 with this patch.
Comment 4 olivier 2014-11-24 14:47:31 UTC
Should I just need to approve this patch, or should I generate a full clean port-diff file using it ?
Comment 5 Sean Bruno freebsd_committer 2014-11-24 14:56:16 UTC
(In reply to olivier from comment #4)
> Should I just need to approve this patch, or should I generate a full clean
> port-diff file using it ?

Up to you.  I can just commit this if you are ok with it.
Comment 6 olivier 2014-11-24 15:16:31 UTC
Yes I'm OK with it.
Comment 7 commit-hook freebsd_committer 2014-11-27 19:19:13 UTC
A commit references this bug:

Author: sbruno
Date: Thu Nov 27 19:18:14 UTC 2014
New revision: 373519
URL: https://svnweb.freebsd.org/changeset/ports/373519

Log:
  Repair build on arm with a patch to error.c

  Differential Revision:    https://reviews.freebsd.org/D1217
  PR:		195251
  Submitted by:	mikael.urankar@gmail.com
  Reviewed by:	olivier@cochard.me
  Approved by:	bapt (mentor)

Changes:
  head/devel/deforaos-libsystem/files/
  head/devel/deforaos-libsystem/files/patch-src_error.c